/*
 * Class BOUNDED [INTEGER_16]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1960 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1960 [] = {0xFF01,1551,1959,878,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1960 [] = {0xFF01,1959,878,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1960 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1960 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1960 [] = {0xFF01,1959,878,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1960 [] = {0xFF01,1959,878,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1960 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1960 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1960 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1960 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1960 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1960 [] = {1959,878,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1960 [] = {0xFF01,1959,878,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1960 [] = {0xFF01,1938,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1960 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1960[] = {
	{EIF_GENERIC(NULL), 9374, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1960), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1960), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1960), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1960), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1960), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1960), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1960), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1960), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1960), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1960), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1960), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1960), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1960), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1960), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9221, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8648, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8649, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8650, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8651, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8652, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1960), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1960), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9375, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1960(void)
{
	IDSC(desc_1960, 0, 1959);
	IDSC(desc_1960 + 1, 1, 1959);
	IDSC(desc_1960 + 32, 1134, 1959);
	IDSC(desc_1960 + 41, 1395, 1959);
	IDSC(desc_1960 + 43, 878, 1959);
	IDSC(desc_1960 + 44, 554, 1959);
}


#ifdef __cplusplus
}
#endif
